---
title: Stardust XR
weight: 52
---

# Stardust XR

- [Website](https://stardustxr.org)
- [Github Organization](https://github.com/StardustXR/)

A system UI to make using all your 2D—and eventually OpenXR—apps together intuitive, accessible, and fun by using community-made virtual objects as interfaces.
Stardust provides a 3D environment, where anything from 2D windows (including your existing apps!), to 3D apps built from objects, can exist together in physical space.

![Panels for wayland apps and a CRT panel shell for XR UI.](https://stardustxr.org/img/carousel/panels.png)

## Setup

For full installation instructions and a deeper dive into setting it up with various linux distributions, visit the [Stardust XR website](https://stardustxr.org/docs/get-started/What-is-Stardust)
The quickest way to try out Stardust XR is to install [Telescope](https://stardustxr.org/docs/get-started/Quickstart). It comes with the Stardust XR server, an app launcher called Hexagon Launcher,
and some helpful apps like Flatland to use your 2D apps inside Stardust, and Black Hole to quickly tuck away your objects and apps (kind of like desktop peek on Windows). Note that you'll need to have
the [Terra repository](https://terra.fyralabs.com/) installed.

```
sudo dnf install telescope
```

 Here's a demo showing some off some of what Stardust XR is like:
<iframe width="560" height="315" src="https://www.youtube.com/embed/v2WblwbaLaA" frameBorder={0} allow="autoplay; encrypted-media" allowFullScreen style={{maxWidth: '100%', aspectRatio: '16/9'}} ></iframe>

The full installation of Stardust XR centers around the Stardust XR server, which can run a variety of clients. For a full list of what is available,
check out the [Github repository](https://github.com/StardustXR).
